Bug 211190 - net/mosquitto: Update to 1.4.9
Summary: net/mosquitto: Update to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olli Hauer
URL:
Keywords: patch
Depends on: 211189
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-18 09:34 UTC by Iblis Lin
Modified: 2016-07-20 18:30 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (joe)


Attachments
mosquitto patch (2.20 KB, patch)
2016-07-18 09:34 UTC, Iblis Lin
iblis.dif01: maintainer-approval? (joe)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2016-07-18 09:34:02 UTC
Created attachment 172635 [details]
mosquitto patch

- full change log is here:
  https://mosquitto.org/2016/06/version-1-4-9-released/

- The feature MQTT over Websocket has been added in 1.4.x, so I add an option for it.
  This feature also introduces a new depends: libwebsockets (bug #211189)
Comment 1 joe 2016-07-19 18:19:34 UTC
A couple of requests:

1. Would you mind reviewing another patch for possibly merging your patch onto? It is referenced here: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=208606

2. To ensure the patch is OK for commit, a build log from Poudriere is required. If you wouldn't mind, please attach this log to expedite your submission.

Best Regards,
-Joseph Benden
Comment 2 Olli Hauer freebsd_committer 2016-07-19 19:02:20 UTC
Without the websocket option the patch looks good!
Until now there is no port for net/libwebsockets ...

Anyone Interested in maintaining the libwebsocket port?
(I have an updated but not polished version flying around in my local tree, but not using it myself)
Comment 3 Larry Rosenman freebsd_committer 2016-07-19 19:17:20 UTC
I would love to see websocket support for mosquitto. 

I don't do a lot with it, but probably will do more. 

If no one else wants it, I can maintain it.
Comment 4 Olli Hauer freebsd_committer 2016-07-19 19:19:18 UTC
Link to a current libwebsocket port
http://people.freebsd.org/~ohauer/diffs/libwebsockets.shar

(Build on 10.3 (amd64) OK, but not tested with
Comment 5 Larry Rosenman freebsd_committer 2016-07-19 19:20:22 UTC
what's wrong with https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=211189?
Comment 6 Olli Hauer freebsd_committer 2016-07-19 19:25:45 UTC
@Larry
Oh, I haven't seen bug 211189.

Will do some quick tests.
Comment 7 Olli Hauer freebsd_committer 2016-07-19 20:06:40 UTC
Found a small issue in the new libwebsocket port bug #211189.
vanilla@ is already working on the new port lets wait the work is committed.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-20 08:39:13 UTC
@Joe, can we close bug 208606 as superseded by this issue?

Please also: 

* Set maintainer-approval to + on attachments for ports you are maintainer of: Attachment -> Details -> maintainer-approval [+]

Attachment 172635 [details] currently requires your approval in order for this issue to proceed

@All, QA logs are no longer required as attachments, nor as external links (links go stale). Feel free to mention that the changes in an issue pass QA as follows after testing:

portlint: OK (looks fine.)
testport: OK (poudriere: <archs>, <versions>, <options> tested)
Comment 10 Iblis Lin 2016-07-20 17:23:34 UTC
(In reply to Kubilay Kocak from comment #9)
Okay!

portlint: looks fine.

testport: OK

    - amd64, 10.3-RELEASE-p5, WS=off, tested

    - amd64, 10.3-RELEASE-p5, WS=on, tested

    - amd64, 9.3-RELEASE-p44, WS=off, tested

    - amd64, 9.3-RELEASE-p44, WS=on, tested
Comment 11 commit-hook freebsd_committer 2016-07-20 18:27:29 UTC
A commit references this bug:

Author: ohauer
Date: Wed Jul 20 18:27:21 UTC 2016
New revision: 418845
URL: https://svnweb.freebsd.org/changeset/ports/418845

Log:
  - update to 1.4.9
  - add optional websocket support

  Changelog:
  https://raw.githubusercontent.com/eclipse/mosquitto/master/ChangeLog.txt

  PR:		211190
  Submitted by:	Iblis Lin (iblis_at_hs.ntnu.edu.tw)
  Approved by:	maintainer (joe_at_thrallingpenguin.com)

Changes:
  head/net/mosquitto/Makefile
  head/net/mosquitto/distinfo
  head/net/mosquitto/files/patch-CMakeLists.txt
Comment 12 Olli Hauer freebsd_committer 2016-07-20 18:30:51 UTC
Committed,

Thanks for the work on mosquitto and websocket support!